aboutsummaryrefslogtreecommitdiff
path: root/t/t7005-editor.sh
diff options
context:
space:
mode:
authorJohannes Sixt <j6t@kdbg.org>2009-03-17 22:45:22 +0100
committerJohannes Sixt <j6t@kdbg.org>2009-03-19 21:47:14 +0100
commit5b46a4285f3588eaa7e53d513025b28f9f5bfec7 (patch)
tree68066189b79dc8ccd45b14677366235c657fc52c /t/t7005-editor.sh
parentfae74a04d75e820c5150cfb0cb4c044bf4488007 (diff)
downloadgit-5b46a4285f3588eaa7e53d513025b28f9f5bfec7.tar.gz
git-5b46a4285f3588eaa7e53d513025b28f9f5bfec7.tar.xz
Call 'say' outside test_expect_success
There were some uses of 'say' inside test_expect_success. But if the tests were not run in verbose mode, this message went to /dev/null. Pull them out of test_expect_success. Signed-off-by: Johannes Sixt <j6t@kdbg.org>
Diffstat (limited to 't/t7005-editor.sh')
-rwxr-xr-xt/t7005-editor.sh29
1 files changed, 13 insertions, 16 deletions
diff --git a/t/t7005-editor.sh b/t/t7005-editor.sh
index 2d919d69e..2f8404afb 100755
--- a/t/t7005-editor.sh
+++ b/t/t7005-editor.sh
@@ -87,30 +87,27 @@ do
'
done
+if ! echo 'echo space > "$1"' > "e space.sh"
+then
+ say "Skipping; FS does not support spaces in filenames"
+ test_done
+ exit
+fi
+
test_expect_success 'editor with a space' '
- if echo "echo space > \"\$1\"" > "e space.sh"
- then
- chmod a+x "e space.sh" &&
- GIT_EDITOR="./e\ space.sh" git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ chmod a+x "e space.sh" &&
+ GIT_EDITOR="./e\ space.sh" git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'
unset GIT_EDITOR
test_expect_success 'core.editor with a space' '
- if test -f "e space.sh"
- then
- git config core.editor \"./e\ space.sh\" &&
- git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ git config core.editor \"./e\ space.sh\" &&
+ git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'